Show Multiple Receipts

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.onetimesecret.com/doc/v3-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "v3 - Secrets API (preview) MCP server": {
    "url": "https://api.onetimesecret.com/doc/v3-api/mcp"
  }
}

Close
POST /api/v3/guest/receipts

Retrieve multiple receipts in a single request by providing an array of receipt identifiers. Returns up to 25 receipts per request. Useful for checking the status of several secrets at once.

application/json

Body Required

  • identifiers array[string] Required

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • user_id string
    • shrimp string

      Default value is empty.

    • records array[object] Required
      Hide records attributes Show records attributes object
      • identifier string Required
      • key string Required
      • shortid string Required
      • state string Required

        Values are new, shared, revealed, burned, previewed, expired, or orphaned.

      • owner_id string | null
      • created number Required
      • updated number Required
      • shared number | null
      • previewed number | null
      • revealed number | null
      • burned number | null
      • secret_ttl number Required
      • receipt_ttl number Required
      • lifespan number Required
      • secret_shortid string
      • secret_identifier string | null
      • recipients array[string] | null | string

      • recipient_name string | null
      • share_domain string | null
      • has_passphrase boolean | null
      • is_previewed boolean Required
      • is_revealed boolean Required
      • is_burned boolean Required
      • is_destroyed boolean Required
      • is_expired boolean Required
      • is_orphaned boolean Required
      • memo string | null
      • kind string | null

        Any of:

        Values are generate or conceal.

        Value is .

      • source string | null

        Values are standard or incoming.

      • show_recipients boolean Required
    • details object
      Hide details attributes Show details attributes object
      • type string Required
      • scope string | null
      • scope_label string | null
      • since number Required
      • now number Required
      • has_items boolean Required
      • revealed_receipts array[object]
        Hide revealed_receipts attributes Show revealed_receipts attributes object
        • identifier string Required
        • key string Required
        • shortid string Required
        • state string Required

          Values are new, shared, revealed, burned, previewed, expired, or orphaned.

        • owner_id string | null
        • created number Required
        • updated number Required
        • shared number | null
        • previewed number | null
        • revealed number | null
        • burned number | null
        • secret_ttl number Required
        • receipt_ttl number Required
        • lifespan number Required
        • secret_shortid string
        • secret_identifier string | null
        • recipients array[string] | null | string

        • recipient_name string | null
        • share_domain string | null
        • has_passphrase boolean | null
        • is_previewed boolean Required
        • is_revealed boolean Required
        • is_burned boolean Required
        • is_destroyed boolean Required
        • is_expired boolean Required
        • is_orphaned boolean Required
        • memo string | null
        • kind string | null

          Any of:

          Values are generate or conceal.

          Value is .

        • source string | null

          Values are standard or incoming.

        • show_recipients boolean Required
      • pending_receipts array[object]
        Hide pending_receipts attributes Show pending_receipts attributes object
        • identifier string Required
        • key string Required
        • shortid string Required
        • state string Required

          Values are new, shared, revealed, burned, previewed, expired, or orphaned.

        • owner_id string | null
        • created number Required
        • updated number Required
        • shared number | null
        • previewed number | null
        • revealed number | null
        • burned number | null
        • secret_ttl number Required
        • receipt_ttl number Required
        • lifespan number Required
        • secret_shortid string
        • secret_identifier string | null
        • recipients array[string] | null | string

        • recipient_name string | null
        • share_domain string | null
        • has_passphrase boolean | null
        • is_previewed boolean Required
        • is_revealed boolean Required
        • is_burned boolean Required
        • is_destroyed boolean Required
        • is_expired boolean Required
        • is_orphaned boolean Required
        • memo string | null
        • kind string | null

          Any of:

          Values are generate or conceal.

          Value is .

        • source string | null

          Values are standard or incoming.

        • show_recipients boolean Required
    • count integer

      Minimum value is -9007199254740991, maximum value is 9007199254740991.

  • 400 application/json

    Bad Request - Invalid request parameters or body

    Hide response attributes Show response attributes object
    • error string

      ADR-013: user-facing message (V2+). On frozen V1 this is the error type identifier.

    • error_type string

      Machine-readable error class the client branches on (ADR-013, e.g., "RecordNotFound")

    • message string

      Human-readable error message (legacy/V1 shape)

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

    • request_id string

      Request correlation id; mirrors the x-request-id response header and appears in the server request log. Quote this when reporting an error.

  • 404 application/json

    Not Found - Resource does not exist

    Hide response attributes Show response attributes object
    • error string

      ADR-013: user-facing message (V2+). On frozen V1 this is the error type identifier.

    • error_type string

      Machine-readable error class the client branches on (ADR-013, e.g., "RecordNotFound")

    • message string

      Human-readable error message (legacy/V1 shape)

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

    • request_id string

      Request correlation id; mirrors the x-request-id response header and appears in the server request log. Quote this when reporting an error.

  • 422 application/json

    Unprocessable Entity - Validation failed

    Hide response attributes Show response attributes object
    • error string

      ADR-013: user-facing message (V2+). On frozen V1 this is the error type identifier.

    • error_type string

      Machine-readable error class the client branches on (ADR-013, e.g., "RecordNotFound")

    • message string

      Human-readable error message (legacy/V1 shape)

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

    • request_id string

      Request correlation id; mirrors the x-request-id response header and appears in the server request log. Quote this when reporting an error.

  • 500 application/json

    Internal Server Error - Something went wrong

    Hide response attributes Show response attributes object
    • error string

      ADR-013: user-facing message (V2+). On frozen V1 this is the error type identifier.

    • error_type string

      Machine-readable error class the client branches on (ADR-013, e.g., "RecordNotFound")

    • message string

      Human-readable error message (legacy/V1 shape)

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

    • request_id string

      Request correlation id; mirrors the x-request-id response header and appears in the server request log. Quote this when reporting an error.

POST /api/v3/guest/receipts
curl \
 --request POST 'https://nz.onetimesecret.com/api/v3/guest/receipts' \
 --header "Content-Type: application/json" \
 --data '{"identifiers":["string"]}'
Request examples
{
  "identifiers": [
    "string"
  ]
}
Response examples (200)
{
  "user_id": "string",
  "shrimp": "",
  "records": [
    {
      "identifier": "string",
      "key": "string",
      "shortid": "string",
      "state": "new",
      "owner_id": "string",
      "created": 42.0,
      "updated": 42.0,
      "shared": 42.0,
      "previewed": 42.0,
      "revealed": 42.0,
      "burned": 42.0,
      "secret_ttl": 42.0,
      "receipt_ttl": 42.0,
      "lifespan": 42.0,
      "secret_shortid": "string",
      "secret_identifier": "string",
      "recipients": [
        "string"
      ],
      "recipient_name": "string",
      "share_domain": "string",
      "has_passphrase": true,
      "is_previewed": true,
      "is_revealed": true,
      "is_burned": true,
      "is_destroyed": true,
      "is_expired": true,
      "is_orphaned": true,
      "memo": "string",
      "kind": "generate",
      "source": "standard",
      "show_recipients": true
    }
  ],
  "details": {
    "type": "string",
    "scope": "string",
    "scope_label": "string",
    "since": 42.0,
    "now": 42.0,
    "has_items": true,
    "revealed_receipts": [
      {
        "identifier": "string",
        "key": "string",
        "shortid": "string",
        "state": "new",
        "owner_id": "string",
        "created": 42.0,
        "updated": 42.0,
        "shared": 42.0,
        "previewed": 42.0,
        "revealed": 42.0,
        "burned": 42.0,
        "secret_ttl": 42.0,
        "receipt_ttl": 42.0,
        "lifespan": 42.0,
        "secret_shortid": "string",
        "secret_identifier": "string",
        "recipients": [
          "string"
        ],
        "recipient_name": "string",
        "share_domain": "string",
        "has_passphrase": true,
        "is_previewed": true,
        "is_revealed": true,
        "is_burned": true,
        "is_destroyed": true,
        "is_expired": true,
        "is_orphaned": true,
        "memo": "string",
        "kind": "generate",
        "source": "standard",
        "show_recipients": true
      }
    ],
    "pending_receipts": [
      {
        "identifier": "string",
        "key": "string",
        "shortid": "string",
        "state": "new",
        "owner_id": "string",
        "created": 42.0,
        "updated": 42.0,
        "shared": 42.0,
        "previewed": 42.0,
        "revealed": 42.0,
        "burned": 42.0,
        "secret_ttl": 42.0,
        "receipt_ttl": 42.0,
        "lifespan": 42.0,
        "secret_shortid": "string",
        "secret_identifier": "string",
        "recipients": [
          "string"
        ],
        "recipient_name": "string",
        "share_domain": "string",
        "has_passphrase": true,
        "is_previewed": true,
        "is_revealed": true,
        "is_burned": true,
        "is_destroyed": true,
        "is_expired": true,
        "is_orphaned": true,
        "memo": "string",
        "kind": "generate",
        "source": "standard",
        "show_recipients": true
      }
    ]
  },
  "count": 42
}
Response examples (400)
{
  "error": "string",
  "error_type": "string",
  "message": "string",
  "field": "string",
  "error_id": "string",
  "request_id": "string"
}
Response examples (404)
{
  "error": "string",
  "error_type": "string",
  "message": "string",
  "field": "string",
  "error_id": "string",
  "request_id": "string"
}
Response examples (422)
{
  "error": "string",
  "error_type": "string",
  "message": "string",
  "field": "string",
  "error_id": "string",
  "request_id": "string"
}
Response examples (500)
{
  "error": "string",
  "error_type": "string",
  "message": "string",
  "field": "string",
  "error_id": "string",
  "request_id": "string"
}